matrix:
  platform:
    - debian13
    - macos_arm64
    - ubuntu2404
    - ubuntu2404_arm64
    - windows
  bazel: [7.x, 8.x, 9.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--process_headers_in_dependencies'
    build_targets:
      - '@boost.detail//:boost.detail'
bcr_test_module:
  module_path: test
  matrix:
    platform:
      - debian13
      - macos_arm64
      - ubuntu2404
      - ubuntu2404_arm64
      - windows
    bazel: [7.x, 8.x, 9.x, rolling]
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - '--process_headers_in_dependencies'
      build_targets:
        - //...
      test_targets:
        - //...
